Get token id

- « Parle\Parser::token

- Parle\Parser::trace »

- PHP Manual
- Parle\Parser
- Get token id

# Parle\Parser::tokenId

(PECL parle >= 0.5.1)

Parle\Parser::tokenId — Get token id

### Description

public Parle\Parser::tokenId(string `$tok`): int

Retrieve the id of the named token.

### Parameters

`tok`

  Name of the token as used in Parle\Parser::token().

### Return Values

Returns int representing the token id.